Cerchi la vecchia piattaforma Konfiwear?Clicca qui per registrarti a Legacy Konfiwear
KonfiwearKonfiwear
  • Prezzi
Web-to-Print3D Clothing ConfiguratorDirect-to-GarmentMockup abbigliamento
Print-on-DemandPromotionalSportwearPackaging
Prezzi
FunzionalitàBlogDocumentazioneRiferimento APIChangelogLegacy Konfiwear
API Reference

v1

  • Overview
  • Authentication
  • Error Handling
API Reference

v1

  • Overview
  • Authentication
  • Error Handling
Newsletter

Scopri le ultime funzionalità, miglioramenti e aggiornamenti di Konfiwear

Sii il primo a esplorare nuove funzionalità, miglioramenti delle prestazioni e strumenti pensati per elevare il tuo flusso di lavoro.

Puoi annullare l'iscrizione in qualsiasi momento. Consulta la nostra informativa sulla privacy per sapere come gestiamo i tuoi dati.

KonfiwearKonfiwear

Potenziamo il tuo business di abbigliamento personalizzato con strumenti di design 3D avanzati e integrazioni senza interruzioni.

Market & Industry
  • Print-on-Demand
  • Promotional
  • Sportwear
  • Packaging
Soluzioni
  • Web-to-Print
  • 3D Clothing Configurator
  • Direct-to-Garment
  • Mockup abbigliamento
Risorse
  • Funzionalità
  • Blog
  • Documentazione
  • Riferimento API
  • Changelog
Azienda
  • Contatti
  • Press kit

© Copyright 2026 Konfiwear V2. Tutti i diritti riservati.

Informativa sulla privacyTermini di servizioCookie policy

Error Handling

When authentication or authorization fails, the API returns a JSON error response with one of these codes:

Auth and rate limit errors

StatusErrorDescription
401missing_api_keyNo X-Api-Key header provided
401invalid_key_formatKey does not match expected format
401invalid_keyKey not found in the system
403key_deactivatedKey has been deactivated by an admin
403key_revokedKey has been permanently revoked
403key_expiredKey has passed its expiration date
403insufficient_scopeKey lacks the required permission scope
429rate_limit_exceededToo many requests — see Retry-After header

Operational Errors

StatusErrorDescription
400invalid_bodyRequest body is not valid JSON
400validation_errorRequired field missing or invalid (see detail)
404not_foundResource or endpoint does not exist
405method_not_allowedHTTP method not supported for this endpoint
500internal_errorUnexpected server error
500query_errorDatabase query failed
Error response shape
{
  "error": "insufficient_scope",
  "detail": "read:products"
}
API Reference

v1

  • Overview
  • Authentication
  • Error Handling
API Reference

v1

  • Overview
  • Authentication
  • Error Handling

Error Handling

When authentication or authorization fails, the API returns a JSON error response with one of these codes:

Auth and rate limit errors

StatusErrorDescription
401missing_api_keyNo X-Api-Key header provided
401invalid_key_formatKey does not match expected format
401invalid_keyKey not found in the system
403key_deactivatedKey has been deactivated by an admin
403key_revokedKey has been permanently revoked
403key_expiredKey has passed its expiration date
403insufficient_scopeKey lacks the required permission scope
429rate_limit_exceededToo many requests — see Retry-After header

Operational Errors

StatusErrorDescription
400invalid_bodyRequest body is not valid JSON
400validation_errorRequired field missing or invalid (see detail)
404not_foundResource or endpoint does not exist
405method_not_allowedHTTP method not supported for this endpoint
500internal_errorUnexpected server error
500query_errorDatabase query failed
Error response shape
{
  "error": "insufficient_scope",
  "detail": "read:products"
}